<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>MFA Challenge alternatives</title>
    <!-- CSS -->
    <link rel="stylesheet" th:href="@{../../assets/css/main.css}">

    <!-- Favicon and touch icons -->
    <link rel="shortcut icon" th:href="${theme.faviconUrl} ?: @{../../assets/ico/favicon.ico}">

    <!-- Custom CSS -->
    <style th:if="${theme.css}" th:text="${theme.css}"></style>
    <style th:if="${theme.customCss}" th:text="${theme.customCss}"></style>
</head>
<body>
<div class="container">
    <div class="header">
        <img class="logo" th:src="${theme.logoUrl} ?: @{../../assets/images/gravitee-logo.svg}">
        <div class="title">
            <span id="enrollment-title" th:text="#{mfa_alternative.title}"/>
        </div>
        <div class="header-description">
            <span id="enrollment-description" th:text="#{mfa_alternative.description}"/>
        </div>
    </div>
    <div class="section">
        <form role="form" th:action="${action}" method="post" class="form">
            <div th:each="factor,factIter : ${factors}">
                <div th:if="${factor.factorType == 'TOTP'}" class="radio-card">
                    <div class="card-content">
                        <span class="radio">
                            <input type="radio" th:id="'list-factor-' + ${factor.id}" th:name="factorId" th:value="${factor.id}" class="otp"/>
                        </span>
                        <span class="radio-detail">
                            <span class="enroll-name" th:text="#{mfa.otp}"/>
                            <span class="enroll-description" th:text="#{mfa_alternative.otp}"/>
                        </span>
                    </div>
                </div>

                <div th:if="${factor.factorType == 'SMS' || factor.factorType == 'CALL'}" class="radio-card">
                    <div class="card-content">
                        <span class="radio">
                            <input type="radio" th:id="'list-factor-' + ${factor.id}" th:name="factorId" th:value="${factor.id}" class="sms"/>
                        </span>
                        <span class="radio-detail">
                            <span class="enroll-name" th:text="#{mfa.sms}"/>
                            <span class="enroll-description" th:text="#{mfa_alternative.sms}"/>
                        </span>
                    </div>
                </div>

                <div th:if="${factor.factorType == 'EMAIL'}" class="radio-card">
                    <div class="card-content">
                        <span class="radio">
                            <input type="radio" th:id="'list-factor-' + ${factor.id}" th:name="factorId" th:value="${factor.id}" class="email"/>
                        </span>
                        <span class="radio-detail">
                            <span class="enroll-name" th:text="#{mfa.email}"/>
                            <span class="enroll-description" th:text="#{mfa_alternative.email}"/>
                        </span>
                    </div>
                </div>

                <div th:if="${factor.factorType == 'HTTP'}" class="radio-card">
                    <div class="card-content">
                        <span class="radio">
                            <input type="radio" th:id="'list-factor-' + ${factor.id}" th:name="factorId" th:value="${factor.id}" class="http"/>
                        </span>
                        <span class="radio-detail">
                            <span class="enroll-name" th:text="#{mfa.http}"/>
                            <span class="enroll-description" th:text="#{mfa_alternative.http}"/>
                        </span>
                    </div>
                </div>

                <div th:if="${factor.factorType == 'FIDO2'}" class="radio-card">
                    <div class="card-content">
                        <span class="radio">
                            <input type="radio" th:id="'list-factor-' + ${factor.id}" th:name="factorId" th:value="${factor.id}" class="fido2"/>
                        </span>
                        <span class="radio-detail">
                            <span class="enroll-name" th:text="#{mfa.fido}"/>
                            <span class="enroll-description" th:text="#{mfa_alternative.fido}"/>
                        </span>
                    </div>
                </div>

                <div th:if="${factor.factorType == 'RECOVERY CODE'}" class="radio-card">
                    <span class="card-content">
                        <span class="radio">
                            <input type="radio" th:id="'list-factor-' + ${factor.id}" th:name="factorId" th:value="${factor.id}" class="recovery-code"/>
                        </span>
                        <span class="radio-detail">
                            <span class="enroll-name" th:text="#{mfa.recovery.code}"/>
                            <span class="enroll-description" th:text="#{mfa_alternative.recovery.code}"/>
                        </span>
                    </span>
                </div>
            </div>

            <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}"/>

            <div>
                <button type="submit" class="button primary" id="next" th:text="#{mfa_alternative.submit.button}"></button>
            </div>

        </form>
    </div>
</div>
<script th:src="@{../../assets/js/jquery-3.5.1.min.js}"></script>
<script th:inline="javascript" th:attr="nonce=${script_inline_nonce}">
    // init next button
    const nextBtn = document.getElementById('next');
    nextBtn.disabled = true;
    nextBtn.classList.add('button-disabled');

    // radio buttons function
    const inputRadios = document.querySelectorAll('input[type="radio"]');
    inputRadios.forEach(el => el.addEventListener('click', function () {
        // remove active class for every radio cards
        [...document.querySelectorAll('.radio-card')].forEach(el1 => el1.classList.remove('active'));
        // add active class for the selected radio card
        el.closest('.radio-card').classList.add('active');
        // enable next button if at least one factor option is enabled
        nextBtn.disabled = false;
        nextBtn.classList.remove('button-disabled');
    }));
</script>
</body>
</html>
